Drop path to cut command

Command not found on GHA Ubuntu 18.04 runners.
This commit is contained in:
Bartek Łukawski 2022-06-03 17:41:16 +02:00 committed by GitHub
parent c8f8c819da
commit 01059849f8
No known key found for this signature in database
GPG key ID: 4AEE18F83AFDEB23

View file

@ -15,12 +15,12 @@ mkdir -p $cache_dir
echo -n "Validating action arguments (version='$version', packages='$packages')..."; echo -n "Validating action arguments (version='$version', packages='$packages')...";
echo $version | grep -o " " > /dev/null echo $version | grep -o " " > /dev/null
if [ $? -eq 0 ]; then if [ $? -eq 0 ]; then
echo "aborted." echo "aborted."
echo "Version value '$version' cannot contain spaces." >&2 echo "Version value '$version' cannot contain spaces." >&2
exit 1 exit 1
fi fi
if [ "$packages" == "" ]; then if [ "$packages" == "" ]; then
echo "aborted." echo "aborted."
echo "Packages argument cannot be empty." >&2 echo "Packages argument cannot be empty." >&2
exit 2 exit 2
fi fi
@ -50,7 +50,7 @@ echo "- Normalized package list is '$normalized_list'."
value=$(echo $normalized_list @ $version) value=$(echo $normalized_list @ $version)
echo "- Value to hash is '$value'." echo "- Value to hash is '$value'."
key=$(echo $value | md5sum | /bin/cut -f1 -d' ') key=$(echo $value | md5sum | cut -f1 -d' ')
echo "- Value hashed as '$key'." echo "- Value hashed as '$key'."
echo "done." echo "done."